Skip to main content
PATCH
/
api
/
v2
/
crm
/
contacts
/
{contact_id}
Update CRM contact
curl --request PATCH \
  --url https://api.topyappers.com/api/v2/crm/contacts/{contact_id} \
  --header 'Content-Type: application/json' \
  --header 'x-ty-api-key: <api-key>' \
  --data '
{
  "status": "OUTREACHED",
  "notes": "Sent first message",
  "contactEmail": "creator@example.com"
}
'
{
  "message": "OK",
  "response": {
    "id": "<string>",
    "list_id": "<string>",
    "user_id": "<string>",
    "contact_email": "<string>",
    "handle": "<string>",
    "first_contact_date": "<string>",
    "last_contact_date": "<string>",
    "response_date": "<string>",
    "proposed_rate": 123,
    "agreed_rate": 123,
    "content_deliverables": "<string>",
    "notes": "<string>",
    "active": true,
    "date_created": "<string>",
    "date_updated": "<string>",
    "influencer": {}
  }
}

Authorizations

x-ty-api-key
string
header
required

Path Parameters

contact_id
string
required

CRM contact ID.

Body

application/json
status
enum<string>
required
Available options:
TO_OUTREACH,
OUTREACHED,
NEGOTIATING,
WORKING,
DONE,
CANCELLED
notes
string | null
agreedRate
number | null
Required range: x >= 0
contactEmail
string | null
contentDeliverables
string | null

Response

CRM contact updated

message
string
Example:

"OK"

response
object